Name:           pastebinit
Version:        1.7.1
Release:        %mkrel 2
Summary:        Send anything you want directly to a pastebin from the command line

Group:          System/Networking
License:        GPLv2+
URL:            https://github.com/pastebinit/pastebinit
Source0:        https://github.com/pastebinit/pastebinit/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc
BuildRequires:  gettext
Requires:       python3-configobj

%description
A software that lets you send anything you want directly to a
pastebin from the command line.  This software lets you send a file
or simply the result of a command directly to the pastebin you want
(if it's supported) and gives you the URL in return.

%prep
%autosetup -p1
# Change the location of pastebin config file from /etc/pastebin.d/
# to /usr/share/pastebinit/ (unappropriate dir. name "pastebinit.d"
# + FHS)
# See https://bugs.launchpad.net/pastebinit/+bug/621923
#
sed -i "s|pastebin.d|%{name}|g" %{name} README.md

%build
# Generate the man page from docbook xml
xsltproc -''-nonet %{_datadir}/sgml/docbook/xsl-stylesheets*/manpages/docbook.xsl pastebinit.xml

# Build translation
pushd po
%make_build
popd

%install
mkdir -p %{buildroot}%{_datadir}/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/

cp -a pastebin.d %{buildroot}%{_datadir}
mv %{buildroot}%{_datadir}/pastebin.d/ %{buildroot}%{_datadir}/%{name}/

install -m 0755 -D -p %{name} %{buildroot}%{_bindir}/%{name}
install -m 0644 -D -p %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

# Install translations
pushd po
cp -a mo %{buildroot}%{_datadir}/locale/
popd

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/%{name}/
%dir %{_sysconfdir}/%{name}/
%doc README.md
%license COPYING


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.7.1-2.mga10
+ Revision: 2230621
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 1.7.1-1.mga10
+ Revision: 2120529
- new version: 1.7.1

* Sun Feb 18 2024 papoteur <papoteur> 1.6.2-1.mga10
+ Revision: 2042397
- new version 1.6.2

* Tue Mar 22 2022 umeabot <umeabot> 1.5-3.mga9
+ Revision: 1819679
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.5-2.mga8
+ Revision: 1547788
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 1.5-1.mga8
+ Revision: 1488357
- new version: 1.5

* Wed Sep 19 2018 umeabot <umeabot> 1.4.1-5.mga7
+ Revision: 1265665
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4.1-4.mga6
+ Revision: 942725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 746125
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 683349
- Mageia 5 Mass Rebuild

* Wed Mar 26 2014 akien <akien> 1.4.1-1.mga5
+ Revision: 608840
- New version 1.4.1
- Use pastebin.com instead of fpaste.org as default pastebin

* Tue Oct 22 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 542284
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 joequant <joequant> 1.3.1-1.mga4
+ Revision: 497215
- imported package pastebinit

